GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
remote_notif_state Struct Reference

`#include "remote-notif.h"`

## Public Member Functions
| QUEUE (notif_client_p) *notif_queue

## Public Attributes
struct async_event_handler * | get_pending_events_token
struct notif_event * | pending_event [REMOTE_NOTIF_LAST]

## Detailed Description

Definition at line 78 of file remote-notif.h.

## Member Function Documentation

## ◆ QUEUE()

remote_notif_state::QUEUE | ( | notif_client_p |  | ) |

## Member Data Documentation

## ◆ get_pending_events_token

struct async_event_handler* remote_notif_state::get_pending_events_token

Definition at line 89 of file remote-notif.h.

Referenced by handle_notification(), remote_async(), remote_notif_state_allocate(), and remote_notif_state_xfree().

## ◆ pending_event

struct notif_event* remote_notif_state::pending_event[REMOTE_NOTIF_LAST]

Definition at line 98 of file remote-notif.h.

Referenced by discard_pending_stop_replies(), handle_notification(), remote_notif_get_pending_events(), remote_notif_state_xfree(), remote_start_remote(), and remote_wait_ns().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote-notif.h